Subject: RE: [Sipping] RE: draft-stein-great-00.txt

From: "Yaakov Stein" <[email-masked]>
Date: Sat, 8 Oct 2005 21:15:18 +0200

> The assertion on codecs is quite amazing, 
> if it is meant as a reproach to the IETF.

No reproach intended - quite the opposite!
I am saying that the IETF is precisely the place to do this work.

>>Only the IETF has the motivation to design a codec for:
>>1) no 4kHz (or 8kHz) limitation
>>2) high perceptual quality (not "toll quality")
>>3) not necessarily CBR
>>4) low delay
>>5) resilient to bursty packet loss

>The IETF has published RFCs on the iLBC audio codec, and is doing a lot of
>other work in this area.

>- RFC 3951: Internet Low Bit Rate Codec (iLBC)

>- RFC 3952: Real-time Transport Protocol (RTP) Payload Format for internet
> Low Bit Rate Codec (iLBC) Speech

>- RTP Payload Format for the Speex Codec
> <draft-herlein-speex-rtp-profile-02>

I don't see the connection.
Other than the iLBC codec description
(which is said to have been done in AVT, but in reality
was published as an RFC but there was little technical discussion
on the details of the coedc design in the AVT WG)
the others are pure encapsulation documents.
 
What does that have to do with what we are talking about?

> The I-D <draft-stein-great-00.txt> could indeed use the council given
> earlier on this discussion trail:

>please remove the PSTN nostalgia from the document

>...and I would add; to any similar memos wherever they may be presented.

As I have already written in a previous email,
this is not nostalgia - it is the present state-of-the-art.
And the comparison is routinely discussed in other forums
(e.g. the FGNGN).
 
If you want to close your eyes to user expectations,
go ahead, but then nothing is going to improve.
 
Y(J)S

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP